Menu

## UserManagementController
in package

UserManagementController.php : 26

Controller für die Benutzer- und Gruppenanzeige.

Aufgaben:

- holt über den LdapDirectoryService die Listen von Benutzern und Gruppen
- behandelt technische Fehler und bereitet eine Fehlermeldung für die View auf
- gibt die Daten an eine View-Datei (public/views/users.php) weiter

WICHTIG:

- Es werden aktuell nur Daten angezeigt (Read-only).
- Es findet keine Änderung im Active Directory statt.

NEU:

- Gibt ein View-Result-Array zurück, das von index.php + Layout gerendert wird.

### Table of Contents

#### Properties

$config : array<string, mixed>
$directoryService : LdapDirectoryService
$logger : LoggingService

#### Methods

__construct() : mixed
create() : array<string, mixed>
  Zeigt die Seite zum Erstellen von Benutzern (Einzel/CSV).
show() : array<string, mixed>
  Zeigt Benutzer- und Gruppenliste an.

### Properties

#### $config

UserManagementController.php : 29
`private array<string, mixed> $config`

Vollständige Anwendungskonfiguration (aus config.php)

#### $directoryService

UserManagementController.php : 32
`private LdapDirectoryService $directoryService`

Service für das Lesen von Benutzern und Gruppen aus dem LDAP/AD

#### $logger

UserManagementController.php : 35
`private LoggingService $logger`

Logger für technische Fehler

### Methods

#### __construct()

UserManagementController.php : 40
`public __construct(array<string, mixed> $config) : mixed`

##### Parameters

$config : array<string, mixed>

  Vollständige Konfiguration aus config.php

#### create()

UserManagementController.php : 109

Zeigt die Seite zum Erstellen von Benutzern (Einzel/CSV).

`public create() : array<string, mixed>`

##### Return values

array<string, mixed>

#### show()

UserManagementController.php : 61

Zeigt Benutzer- und Gruppenliste an.

`public show() : array<string, mixed>`

Wird typischerweise über die Route "users" (index.php?route=users) aufgerufen.

##### Return values

array<string, mixed> —

View-Result für das zentrale Layout

## Search results